Bug 453177 - regxpcom silently fails to register per-user components
regxpcom silently fails to register per-user components
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-27 14:12 EDT by Philip Ashmore
Modified: 2009-01-09 02:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:50:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
regxpcom call stack (42.15 KB, image/png)
2008-06-27 14:20 EDT, Philip Ashmore
no flags Details

  None (edit)
Description Philip Ashmore 2008-06-27 14:12:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14 XPCOMViewer/1.0a1

Description of problem:
Running
    $ /usr/lib/firefox-2.0.0.14/regxpcom
produces no error output but fails to register or even examine per-user components installed in ~/.mozilla/components.
After
    # debuginfo-install firefox
I ran
    $ kdbg /usr/lib/firefox-2.0.0.14/regxpcom
and noticed that it exited with code 0377 (-1?).

I also noticed that startup_xpcom() (indirectly) calls nsComponentManager::AutoRegister anyway, sort of defeating the purpose of regxpcom.

but at least regxpcom notices that mNativeComponentLoader->AutoRegisterComponents() fails - see attached stack trace.

I found this bug while looking for a way for user (non-root) programs to register utility components temporarily for use by other child processes like ActiveX can do with COM.

Version-Release number of selected component (if applicable):
firefox-2.0.0.14-1

How reproducible:
Always


Steps to Reproduce:
1. Install firefox
2. Write any script that checks on regxpcom succeeding
3. Watch your script crash and burn

Actual Results:
regxpcom silently fails.

Expected Results:
It should have succeeded or at least printed an error message.

Additional info:
Comment 1 Philip Ashmore 2008-06-27 14:20:39 EDT
Created attachment 310464 [details]
regxpcom call stack
Comment 2 Bug Zapper 2008-11-26 05:55:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 02:50:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.